cURL
curl --request GET \
--url https://api.puretalk.ai/api/ruth-connect/integrations \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.puretalk.ai/api/ruth-connect/integrations"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.puretalk.ai/api/ruth-connect/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 100,
"next": "https://api.puretalk.ai/api/ruth-connect/integrations?page=2",
"previous": "https://api.puretalk.ai/api/ruth-connect/integrations?page=1",
"results": [
{
"integration_id": "123e4567-e89b-12d3-a456-426614174000",
"app_name": "My App",
"friendly_app_name": "My App",
"logo": "<string>",
"data": {
"api_key": "123e4567-e89b-12d3-a456-426614174000"
},
"tools": [
"<string>"
],
"is_custom_tool": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"err": true,
"msg": "<string>"
}Ruth Connect
Get Integrations
Returns all integrations from the system that the user has access to
GET
/
ruth-connect
/
integrations
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Query Parameters
The page number to return
The maximum number of results to return
Response
Integrations response
Was this page helpful?
⌘I